Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

List Datasets

Retrieve a list of all datasets in the project with filtering and pagination options

GET/datasets/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

  • page_noQueryintegeroptional

    The page number from which you want your page search results to be displayed.

  • per_pageQueryintegeroptional

    Number of results per page

  • is_advanced_searchQuerybooleanoptional

    Specifies if advanced filters should be applied.

  • storage_typeQuerystringoptional

    Storage Type

  • encryptedQuerybooleanoptional

    Encryption

Responses

200Success response with dataset information.
object
codeinteger

HTTP status code for the operation.

example200
dataarray
errorsobject

Any errors encountered during the operation.

messagestring

Message indicating the result of the operation.

exampleSuccess
total_page_numberinteger

Total number of pages of dataset information available.

example1
total_countinteger

Total number of datasets returned.

example1